## org.apache.batik.swing
Class JSVGCanvas.ScrollAction

    java.lang.Object
      javax.swing.AbstractAction
          org.apache.batik.swing.JSVGCanvas.AffineAction
              org.apache.batik.swing.JSVGCanvas.ScrollAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Direct Known Subclasses:
  JSVGCanvas.ScrollDownAction, JSVGCanvas.ScrollLeftAction, JSVGCanvas.ScrollRightAction, JSVGCanvas.ScrollUpAction

Enclosing class:
  JSVGCanvas

public class JSVGCanvas.ScrollAction
extends JSVGCanvas.AffineAction

A swing action to Pan/scroll the canvas.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JSVGCanvas.ScrollAction(double tx, double ty)`

Methods inherited from class org.apache.batik.swing.JSVGCanvas.AffineAction
`actionPerformed`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGCanvas.ScrollAction

    public JSVGCanvas.ScrollAction(double tx,
                                   double ty)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.